Skip to main content
Server path: /trello-checklists | Type: Application | PCID required: Yes

Tools

ToolDescription
trello_checklists_delete_customfields_idDelete a Custom Field definition
trello_checklists_delete_customfields_options_idcustomfieldoptionDelete Option of Custom Field dropdown
trello_checklists_delete_idDelete a Checklist
trello_checklists_delete_id_checkitems_idcheckitemDelete Checkitem from Checklist
trello_checklists_delete_labels_idDelete a Label
trello_checklists_get_customfields_idGet a Custom Field
trello_checklists_get_customfields_id_optionsAdd Option to Custom Field dropdown
trello_checklists_get_customfields_options_idcustomfieldoptionGet Option of Custom Field dropdown
trello_checklists_get_idGet a Checklist
trello_checklists_get_id_boardGet the Board the Checklist is on
trello_checklists_get_id_cardsGet the Card a Checklist is on
trello_checklists_get_id_checkitemsGet Checkitems on a Checklist
trello_checklists_get_id_checkitems_idcheckitemGet a Checkitem on a Checklist
trello_checklists_get_id_fieldGet field on a Checklist
trello_checklists_get_labels_idGet a Label
trello_checklists_post_checklistsCreate a Checklist
trello_checklists_post_customfieldsCreate a new Custom Field on a Board
trello_checklists_post_customfields_id_optionsGet Options of Custom Field drop down
trello_checklists_post_id_checkitemsCreate Checkitem on Checklist
trello_checklists_post_labelsCreate a Label
trello_checklists_put_checlists_idUpdate a Checklist
trello_checklists_put_customfields_idUpdate a Custom Field definition
trello_checklists_put_id_fieldUpdate field on a Checklist
trello_checklists_put_labels_idUpdate a Label
trello_checklists_put_labels_id_fieldUpdate a field on a label

trello_checklists_delete_customfields_id

Delete a Custom Field definition Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of the Custom Field.

trello_checklists_delete_customfields_options_idcustomfieldoption

Delete Option of Custom Field dropdown Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of the customfielditem.
idCustomFieldOptionstringYesID of the customfieldoption to retrieve.

trello_checklists_delete_id

Delete a Checklist Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.

trello_checklists_delete_id_checkitems_idcheckitem

Delete Checkitem from Checklist Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.
idCheckItemstringYesID of the check item to retrieve.

trello_checklists_delete_labels_id

Delete a Label Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID of the Label

trello_checklists_get_customfields_id

Get a Custom Field Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of the Custom Field.

trello_checklists_get_customfields_id_options

Add Option to Custom Field dropdown Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of the customfield.

trello_checklists_get_customfields_options_idcustomfieldoption

Get Option of Custom Field dropdown Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of the customfielditem.
idCustomFieldOptionstringYesID of the customfieldoption to retrieve.

trello_checklists_get_id

Get a Checklist Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.
cardsstringNoValid values: all, closed, none, open, visible. Cards is a nested resource. The additional query params available are documented at Cards Nested Resource.
checkItemsstringNoThe check items on the list to return. One of: all, none.
checkItem_fieldsstringNoThe fields on the checkItem to return if checkItems are being returned. all or a comma-separated list of: name, nameData, pos, state, type, due, dueReminder, idMember
fieldsstringNoall or a comma-separated list of checklist fields

trello_checklists_get_id_board

Get the Board the Checklist is on Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.
fieldsstringNoall or a comma-separated list of board fields

trello_checklists_get_id_cards

Get the Card a Checklist is on Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.

trello_checklists_get_id_checkitems

Get Checkitems on a Checklist Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.
filterstringNoOne of: all, none.
fieldsstringNoOne of: all, name, nameData, pos, state,type, due, dueReminder, idMember.

trello_checklists_get_id_checkitems_idcheckitem

Get a Checkitem on a Checklist Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.
idCheckItemstringYesID of the check item to retrieve.
fieldsstringNoOne of: all, name, nameData, pos, state, type, due, dueReminder, idMember,.

trello_checklists_get_id_field

Get field on a Checklist Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.
fieldstringYesField to update.

trello_checklists_get_labels_id

Get a Label Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID of the Label
fieldsstringNoall or a comma-separated list of fields

trello_checklists_post_checklists

Create a Checklist Parameters:
ParameterTypeRequiredDefaultDescription
idCardstringYesThe ID of the Card that the checklist should be added to.
namestringNoThe name of the checklist. Should be a string of length 1 to 16384.
posstringNoThe position of the checklist on the card. One of: top, bottom, or a positive number.
idChecklistSourcestringNoThe ID of a checklist to copy into the new checklist.

trello_checklists_post_customfields

Create a new Custom Field on a Board Parameters:
ParameterTypeRequiredDefaultDescription
display_cardFrontbooleanNoWhether this Custom Field should be shown on the front of Cards
idModelstringYesId Model
modelTypestringYesThe type of model that the Custom Field is being defined on. This should always be board.
namestringYesThe name of the Custom Field
optionsstringNoIf the type is checkbox
posstringYesThe pos value
typestringYesThe type of Custom Field to create.

trello_checklists_post_customfields_id_options

Get Options of Custom Field drop down Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of the customfield.

trello_checklists_post_id_checkitems

Create Checkitem on Checklist Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.
namestringYesThe name of the new check item on the checklist. Should be a string of length 1 to 16384.
posobjectNoThe position of the check item in the checklist. One of: top, bottom, or a positive number.
checkedbooleanNoDetermines whether the check item is already checked when created.
duestringNoA due date for the checkitem
dueRemindernumberNoA dueReminder for the due date on the checkitem
idMemberstringNoAn ID of a member resource.

trello_checklists_post_labels

Create a Label Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesName for the label
colorstringYesThe color for the label.
idBoardstringYesThe ID of the Board to create the Label on.

trello_checklists_put_checlists_id

Update a Checklist Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.
namestringNoName of the new checklist being created. Should be length of 1 to 16384.
posstringNoDetermines the position of the checklist on the card. One of: top, bottom, or a positive number.

trello_checklists_put_customfields_id

Update a Custom Field definition Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of the Custom Field.
display/cardFrontbooleanNoWhether to display this custom field on the front of cards
namestringNoThe name of the Custom Field
posstringNoPosition: top, bottom, or a positive float

trello_checklists_put_id_field

Update field on a Checklist Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesID of a checklist.
fieldstringYesField to update.
valueobjectYesThe value to change the checklist name to. Should be a string of length 1 to 16384.

trello_checklists_put_labels_id

Update a Label Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID of the Label
namestringNoThe new name for the label
colorstringNoThe new color for the label. See: fields for color options

trello_checklists_put_labels_id_field

Update a field on a label Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe id of the label
fieldstringYesThe field on the Label to update.
valuestringYesThe new value for the field.